class CloudError(Exception):
    def __init__(self, message, status=None, error=None, path=""):
        self.status = status
        self.error = error
        self.message = message
        self.path = path

    @staticmethod
    def from_json(json_data):
        return CloudError(
            json_data["message"],
            json_data["status"],
            json_data["error"],
            json_data["path"])
