class Model:
    def __init__(self, id, name, description, model_versions, published):
        self.id = id
        self.name = name
        self.description = description
        self.model_versions = model_versions
        self.published = published

    @staticmethod
    def from_json(json_data):
        return Model(json_data["id"],
                     json_data["name"],
                     json_data["description"],
                     json_data["modelVersions"],
                     json_data["published"])
