import json

from anylogiccloudclient.data.model_data import ModelData


class Aggregation:
    def __init__(self, type, inputs=[], outputs=[], value=[]):
        self.type = type
        self.inputs = inputs
        self.outputs = outputs
        self.value = value

    @staticmethod
    def from_json(json_data):
        return Aggregation(json_data["aggregationType"],
                           list(map(lambda d: ModelData.from_json(d), json_data["inputs"])),
                           list(map(lambda d: ModelData.from_json(d), json_data["outputs"])),
                           [json_data["value"]])
